API ReferenceConsent
Record a consent update
Record a partial consent-category update plus privacy signals from a consent source (the Logspot Consent API / setConsent(), or a CMP adapter).
x-logspot-pk<token>
Project public key (prefixed pk_). Safe to expose in client-side code.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/consent" \ -H "Content-Type: application/json" \ -d '{ "source": "string" }'Empty